# SkyBox

#### new Cesium.SkyBox(options)
Scene/SkyBox.js 53

A sky box around the scene to draw stars. The sky box is defined using the True Equator Mean Equinox (TEME) axes.

This is only supported in 3D. The sky box is faded out when morphing to 2D or Columbus view. The size of the sky box must not exceed `Scene#maximumCubeMapSize`.

Name | Type | Description
--- | --- | ---
`options` | Object | Object with the following properties:
Name | Type | Default | Description
--- | --- | --- | ---
`sources` | Object |  | optional The source URL or `Image` object for each of the six cube map faces. See the example below.
`show` | Boolean | `true` | optional Determines if this primitive will be shown.

##### Example:

    scene.skyBox = new Cesium.SkyBox({
      sources : {
        positiveX : 'skybox_px.png',
        negativeX : 'skybox_nx.png',
        positiveY : 'skybox_py.png',
        negativeY : 'skybox_ny.png',
        positiveZ : 'skybox_pz.png',
        negativeZ : 'skybox_nz.png'
      }
    });

##### See:

- Scene#skyBox
- Transforms.computeTemeToPseudoFixedMatrix

### Members

#### show : Boolean
Scene/SkyBox.js 72

Determines if the sky box will be shown.

Default Value: `true`

#### sources : Object
Scene/SkyBox.js 63

The sources used to create the cube map faces: an object with `positiveX`, `negativeX`, `positiveY`, `negativeY`, `positiveZ`, and `negativeZ` properties. These can be either URLs or `Image` objects.

Default Value: `undefined`

### Methods

#### destroy()
Scene/SkyBox.js 244

Destroys the WebGL resources held by this object. Destroying an object allows for deterministic release of WebGL resources, instead of relying on the garbage collector to destroy this object.
Once an object is destroyed, it should not be used; calling any function other than `isDestroyed` will result in a `DeveloperError` exception. Therefore, assign the return value (`undefined`) to the object as done in the example.

##### Throws:

- DeveloperError : This object was destroyed, i.e., destroy() was called.

##### Example:

    skyBox = skyBox && skyBox.destroy();

##### See:

- SkyBox#isDestroyed

#### isDestroyed() → Boolean
Scene/SkyBox.js 224

Returns true if this object was destroyed; otherwise, false.
If this object was destroyed, it should not be used; calling any function other than `isDestroyed` will result in a `DeveloperError` exception.

##### Returns:

`true` if this object was destroyed; otherwise, `false`.

##### See:

- SkyBox#destroy

#### update()
Scene/SkyBox.js 95

Called when `Viewer` or `CesiumWidget` render the scene to get the draw commands needed to render this primitive.

Do not call this function directly. This is documented just to list the exceptions that may be propagated when the scene is rendered:

##### Throws:

- DeveloperError : this.sources is required and must have positiveX, negativeX, positiveY, negativeY, positiveZ, and negativeZ properties.
- DeveloperError : this.sources properties must all be the same type.